function incrementQuantity(anSubNo, anResursQId, isSml = false) {
    let input;
    if (isSml) {
        input = document.getElementById(anSubNo + '-' + anResursQId + '-quantity-sml');
    } else {
        input = document.getElementById(anSubNo + '-' + anResursQId + '-quantity');
    }

    input.value = parseInt(input.value) + 1;

    updateQuantity(anSubNo, anResursQId, input.value, isSml);
}

function decrementQuantity(anSubNo, anResursQId, isSml = false) {
    let input;
    if (isSml) {
        input = document.getElementById(anSubNo + '-' + anResursQId + '-quantity-sml');
    } else {
        input = document.getElementById(anSubNo + '-' + anResursQId + '-quantity');
    }

    if (parseInt(input.value) > 0) {
        input.value = parseInt(input.value) - 1;
        updateQuantity(anSubNo, anResursQId, input.value, isSml);
    }
}

function updateQuantity(anSubNo, anResursQId, value, isSml = false) {
    $.ajax({
        cache: false,
        type: "POST",
        url: $('#UpdateToolQuantityURL').val(),
        data: {
            anSubNo: anSubNo,
            anResursQId: anResursQId,
            quantity: value,
            isSml: isSml
        },
        error: function (error) {
            console.error(error)
        }
    });
}